<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

	<variable name="myvar"
			  value="myvalue"/>
	<targets>
		<target name="TraceLog"
				fileName="LOGS/TRACELOG/TraceLog.txt"
				archiveFileName="LOGS/TRACELOG/TraceLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="SenderLog"
				fileName="LOGS/SENDERLOG/StreamSenderLog.txt"
				archiveFileName="LOGS/SENDERLOG/StreamSenderLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="ReceiverLog"
				fileName="LOGS/RECEIVERLOG/ReceiverLog.txt"
				archiveFileName="LOGS/RECEIVERLOG/ReceiverLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="DataCleaningLog"
				fileName="LOGS/ADMIN/DataCleaningLog.txt"
				archiveFileName="LOGS/ADMIN/DataCleaningLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="UserSenderLog"
				fileName="LOGS/SENDERLOG/UserSenderLog.txt"
				archiveFileName="LOGS/SENDERLOG/UserSenderLog_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="InOaisLog"
				fileName="LOGS/OAIS/IN_Oais_Log.txt"
				archiveFileName="LOGS/OAIS/IN_Oais_Log_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="OutOaisLog"
				fileName="LOGS/OAIS/OUT_Oais_Log.txt"
				archiveFileName="LOGS/OAIS/OUT_Oais_Log_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="NoticeLog"
				fileName="LOGS/NOTICE/Notice_Log.txt"
				archiveFileName="LOGS/NOTICE/Notice_Log_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>

		<target name="DictionaryLog"
				fileName="LOGS/DICT/Dictionary_Log.txt"
				archiveFileName="LOGS/DICT/Dictionary_Log_{#}.txt"
				xsi:type="File" layout="${longdate}|${message}" archiveEvery="Month"
				archiveDateFormat="yyyy-MM" archiveNumbering="Date" encoding="utf-8" writeBom="true"/>
	</targets>

	<rules>
		<logger name="TraceLogger"			level="Trace" writeTo="TraceLog"		enabled="true"/>
		<logger name="SenderLogger"			level="Trace" writeTo="SenderLog"		enabled="true"/>
		<logger name="ReceiverLogger"		level="Trace" writeTo="ReceiverLog"		enabled="true"/>
		<logger name="DataCleaningLogger"	level="Trace" writeTo="DataCleaningLog"	enabled="true"/>
		<logger name="UserSenderLogger"		level="Trace" writeTo="UserSenderLog"	enabled="true"/>
		<logger name="InOaisLogger"			level="Trace" writeTo="InOaisLog"	    enabled="true"/>
		<logger name="OutOaisLogger"		level="Trace" writeTo="OutOaisLog"	    enabled="true"/>
		<logger name="NoticeLogger"			level="Trace" writeTo="NoticeLog"	    enabled="true"/>
		<logger name="DictionaryLogger"		level="Trace" writeTo="DictionaryLog"	enabled="true"/>
	</rules>
</nlog>